<?php

declare(strict_types=1);

namespace App\Listeners;

use App\Events\UserLoggedOut;
use Illuminate\Auth\Events\Logout;

/**
 * Class LaravelLogoutEventListener
 */
final class LaravelLogoutEventListener
{
    /**
     * @return void
     */
    public function handle(Logout $event)
    {
        event(new UserLoggedOut($event->user, now()));
    }
}
